matrix:
  bazel: [7.x, 8.x]
  platform: ["ubuntu2004"]  # "debian10", "macos", "windows"
tasks:
  verify_targets:
    name: Verify Build Targets
    bazel: ${{ bazel }}
    platform: ${{ platform }}
    build_flags:
      - '--process_headers_in_dependencies'
    build_targets:
      - '@maliput_geopackage//:maliput_geopackage'

bcr_test_module:
  module_path: "."
  matrix:
    bazel: [7.x, 8.x]
    platform: ["ubuntu2004"]  # "debian10", "macos", "windows"
  tasks:
    run_tests:
      name: "Run test module"
      bazel: ${{ bazel }}
      platform: ${{ platform }}
      test_targets:
        - "//..."
